<template>
  <div class="custom-wrapper ui-g" id="menu">
    <div class="ui-u-1 ui-u-md-1-3">
      <div class="ui-menu">
        <a href="#" class="ui-menu-heading custom-brand">Brand</a>
        <a href="#" class="custom-toggle" id="toggle">
          <s class="bar"></s>
          <s class="bar"></s>
        </a>
      </div>
    </div>
    <div class="ui-u-1 ui-u-md-1-3">
      <div class="ui-menu ui-menu-horizontal custom-can-transform">
        <ul class="ui-menu-list">
          <li class="ui-menu-item">
            <router-link to="/" class="ui-menu-link">Home</router-link>
          </li>
          <li class="ui-menu-item">
            <router-link to="/page" class="ui-menu-link">Page</router-link>
          </li>
          <li class="ui-menu-item">
            <a href="#" class="ui-menu-link">Contact</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="ui-u-1 ui-u-md-1-3">
      <div class="ui-menu ui-menu-horizontal custom-menu-3 custom-can-transform">
        <ul class="ui-menu-list">
          <li class="ui-menu-item">
            <a href="#" class="ui-menu-link">Yahoo</a>
          </li>
          <li class="ui-menu-item">
            <a href="#" class="ui-menu-link">W3C</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted() {
    console.log("TEST");
    var menu = document.getElementById("menu"),
      WINDOW_CHANGE_EVENT =
        "onorientationchange" in window ? "orientationchange" : "resize";

    function toggleHorizontal() {
      [].forEach.call(
        document
          .getElementById("menu")
          .querySelectorAll(".custom-can-transform"),
        function(el) {
          el.classList.toggle("ui-menu-horizontal");
        }
      );
    }

    function toggleMenu() {
      // set timeout so that the panel has a chance to roll up
      // before the menu switches states
      if (menu.classList.contains("open")) {
        setTimeout(toggleHorizontal, 500);
      } else {
        toggleHorizontal();
      }
      menu.classList.toggle("open");
      document.getElementById("toggle").classList.toggle("x");
    }

    function closeMenu() {
      if (menu.classList.contains("open")) {
        toggleMenu();
      }
    }

    document.getElementById("toggle").addEventListener("click", function(e) {
      toggleMenu();
      e.preventDefault();
    });

    window.addEventListener(WINDOW_CHANGE_EVENT, closeMenu);
  }
};
</script>

<style>
.custom-wrapper {
    background-color: #ffd390;
    margin-bottom: 1em;
    -webkit-font-smoothing: antialiased;
    height: 2.1em;
    overflow: hidden;
    -webkit-transition: height 0.5s;
    -moz-transition: height 0.5s;
    -ms-transition: height 0.5s;
    transition: height 0.5s;
}

.custom-wrapper.open {
    height: 14em;
}

.custom-menu-3 {
    text-align: right;
}

.custom-toggle {
    width: 34px;
    height: 34px;
    position: absolute;
    top: 0;
    right: 0;
    display: none;
}

.custom-toggle .bar {
    background-color: #777;
    display: block;
    width: 20px;
    height: 2px;
    border-radius: 100px;
    position: absolute;
    top: 18px;
    right: 7px;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    transition: all 0.5s;
}

.custom-toggle .bar:first-child {
    -webkit-transform: translateY(-6px);
    -moz-transform: translateY(-6px);
    -ms-transform: translateY(-6px);
    transform: translateY(-6px);
}

.custom-toggle.x .bar {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.custom-toggle.x .bar:first-child {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

@media (max-width: 47.999em) {

    .custom-menu-3 {
        text-align: left;
    }

    .custom-toggle {
        display: block;
    }

}
</style>